Subject: Re: bug#26339: [PATCH 02/18] system: Add extlinux support.

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 12 May 2017 14:18:37 +0200

Hi !

> So it should probably pick the current (not the newest) bootloader type.

I'm not fan of installing every bootloader config because it means
multiple gcroots and filling /boot with possibly useless stuff.

However, reading the "parameters" of current system, extracting
bootloader type, and reinstalling *only* the bootloader configuration
file for this type seems a good idea to me.

I'll use this solution for v4. Plus we can come up later with a more
intelligent solution, storing bootloader store path in "parameters" and
creating a gcroot for it.

Thanks,

Mathieu

2017-05-12 13:36 GMT+02:00 Ludovic Courtès <[email-masked]>:

> Hi,
>
> Danny Milosavljevic <[email-masked]> skribis:
>
> > On Fri, 12 May 2017 10:26:53 +0200
> > [email-masked] (Ludovic Courtès) wrote:
> >
> >> > If there is a switch between extlinux and grub, the bootloader config
> file format (and name, too) will change.
> >> >
> >> > So if you do switch the config file out but don't switch the actual
> bootloader out it will not boot, right?
> >>
> >> Unless you regenerate the bootloader’s config file upon
> >> ‘switch-configuration’.
> >
> > Yes, for the last-guix-installed bootloader (presumably the
> still-installed one).  Good point.
> >
> > That would mean only the bootloader type of the newest system generation
> would be checked - also when restoring older generations.
> >
> > Can the newest system generation be deleted?  Then eventually Guix could
> read the wrong bootloader type (of a bootloader which isn't actually
> installed at the time).
>
> The newest generation can be deleted, but the current one cannot (it’s
> possible that the current one is not the newest if you picked an old
> entry in the boot menu.)
>
> So it should probably pick the current (not the newest) bootloader type.
>
> Ludo’.
>